php-resource.de

Aktuelle Themen und News zu PHP / mySQL

Neue Sicherheitslücken in OpenSSH

Berni | Neu | Beitrag gelesen 1855 gelesen |

 


Der PAM-Code der aktuellen portable-Versionen 3.7p1 und 3.7.1p1 enthält laut einem Advisory der Entwickler mehrere Schwachstellen, die sich auch von außen ausnutzen lassen. Außer auf OpenBSD kommen portable-Versionen von OpenSSH auf allen Betriebssystemen

Der PAM-Code der aktuellen portable-Versionen 3.7p1 und 3.7.1p1 enthält laut einem Advisory der Entwickler mehrere Schwachstellen, die sich auch von außen ausnutzen lassen. Außer auf OpenBSD kommen portable-Versionen von OpenSSH auf allen Betriebssystemen zum Einsatz, die originalen OpenBSD-Versionen enthalten den betroffenen PAM-Code nicht und sind demnach nicht betroffen.

Auf anderen Betriebssystemen sind Standardinstallationen ebenfalls nicht verwundbar, da hier die PAM-Unterstützung in der OpenSSH-Konfiguration nicht aktiviert ist. Es wird empfohlen, diese auch nur dann einzuschalten, wenn man PAM definitiv benötigt, was bei normaler Public-Key- oder Passwort-Authentifizierung nicht der Fall ist. Mit Pluggable Authentication Modules (PAM) lassen sich über Einträge in einer Konfigurationsdatei alternative Authentifizierungsverfahren aktivieren, ohne das Programm neu zu übersetzen.


Kommentare zum Artikel
Artikel kommentieren
 
Verwandte Beiträge
star Nushere Corporation veröffentlicht phpED Version 3.2.1.
star Kritische Sicherheitslücken in Mail-Server sendmail
star Sicherheitslücke in MySQL-Datenbank
star Zends PHP-Entwicklungsumgebung unterstützt PHP 5
star 10 Terabyte Warez in Frankfurt am Main sichergestellt

 
Links zum Artikel

Weitere PHP-News und Artikel

Nushere Corporation veröffentlicht phpED Version 3.2.1.

| Berni | Views

Kritische Sicherheitslücken in Mail-Server sendmail

| Berni | Views

Sicherheitslücke in MySQL-Datenbank

| Berni | Views

Zends PHP-Entwicklungsumgebung unterstützt PHP 5

| Berni | Views

10 Terabyte Warez in Frankfurt am Main sichergestellt

| Berni | Views

Alter Fehler in sendmail wird zum Sicherheitsproblem

| Berni | Views

PHP 4.3.3 released!

| Berni | Views

Mailfilter zum Schutz vor Sobig.F

| Berni | Views

Navigation -> Seitenanzahl : (95)

 « Anfang ...  «  43 44 45 46 47 48 49 50 51 52 53 54 55  » ... Ende »

Über den Autor
Berni

Berni

Status
Premium Mitglied

Beruf
Selbstständig

Mitglied seit:
22.01.2001

letzte Aktivität
15.02.2019